import { jsx } from "react/jsx-runtime";
import { Synagogue as Synagogue$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Synagogue = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Synagogue", ...props, children: /* @__PURE__ */ jsx(Synagogue$1, { weight: variant }) });
  }
);
Synagogue.displayName = "Synagogue";
Object.assign(Synagogue, { isGdsIcon: true });
export {
  Synagogue
};
